--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "If <em>obj</em> is a Number, String, Array, <tt>nil</tt>, <tt>true</tt>, or <tt>false</tt> then #quote returns a String representation of that object safe for use in PostgreSQL."
- !ruby/struct:SM::Flow::P 
  body: "If <em>obj</em> is not one of the above classes and a block is supplied to #quote, the block is invoked, passing along the object. The return value from the block is returned as a string."
- !ruby/struct:SM::Flow::P 
  body: If <em>obj</em> is not one of the recognized classes andno block is supplied, a PGError is raised.
full_name: PGconn::quote
is_singleton: true
name: quote
params: |
  PGconn.quote( obj )
  PGconn.quote( obj ) { |obj| ... }
  PGconn.format( obj )
  PGconn.format( obj ) { |obj| ... }

visibility: public
